(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .run(runBlock);

  /** @ngInject */
  function runBlock($rootScope, $state, AuthService) {
    if(AuthService.hasSessionUser()) {
      $rootScope.authenticated = true;
      AuthService.getUserInfo();
      //console.log($rootScope.sessionUser)
      $state.go('home');
    } else {
      $rootScope.authenticated = false;
    }

    $rootScope.$on('$stateChangeStart', function(e, to, params) {
      if (to.redirectTo) {
        e.preventDefault();
        $state.go(to.redirectTo, params, {location: 'replace'})
      }
    });
  }

})();
