(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .directive('acessoRapido', acessoRapido);

  /** @ngInject */
  function acessoRapido() {
    return {
      restrict: 'E',
      scope: {
        title: '@',
        list: '=',
        addClass: '@'
      },
      template: '<div class="btn-group acesso-rapido">' +
        '<button type="button" class="btn btn-acesso-rapido dropdown-toggle {{addClass}}" data-toggle="dropdown">{{title}} <span class="caret"></span></button>' +
        '<ul class="dropdown-menu acesso-rapido-list" role="menu">' +
        '<li class="acesso-rapido-list-item" ng-repeat="item in list | orderBy: \'label\'"><a ui-sref="{{item.stateUrl}}">{{item.label}}</a></li>' +
        '</ul>' +
        '</div>'
    };
  }

})();
