angular
  .module('spgTpl1')
  .factory('tokenFactory',
  function($rootScope) {
    var _token = null;
    var tokenFactory = {
      request: function(config) {
        if ($rootScope.sessionUser) {
          _token = $rootScope.sessionUser.token;
          config.headers['Authorization'] = _token;
        }
        return config;
      },
      setToken: function(newToken){
        $rootScope.sessionUser.token = newToken;
        _token = newToken;
      }
    };
    return tokenFactory;
});
