(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .directive('loaderPartial', loaderPartial);

  /** @ngInject */
  function loaderPartial() {
    return {
      restrict: 'E',
      scope: {
        hide: '=',
        addClass: '@',
        errorMessage: '='
      },
      replace: true,
      templateUrl: 'app/system/components/loader-partial/loader-partial.html',
      link: function(scope, element, attrs){
        scope.$watch('hide', function () {
          if(scope.hide !== undefined && (scope.hide !== true || scope.hide.length === 0)){
            element.find('.cpt-loader-partial-svg').css('display', 'none');
          } else {
            element.find('.cpt-loader-partial-svg').css('display', 'block');
          }
        });
      }
    };
  }

})();
