angular
  .module('spgTpl1')
  .factory('ModalService', function($uibModal) {

    var modalRemove = function(id, nome, callback){
      $uibModal.open({
        templateUrl: 'app/system/views/modals/modalRemover.html',
        controller: function($uibModalInstance){
          var vm = this;
          vm.nome = nome;

          vm.cancel = function () {
            $uibModalInstance.dismiss('cancel');
          };

          vm.ok = function(){
            $uibModalInstance.dismiss('cancel');
            callback();
          };
        },
        controllerAs: 'modalCtrl'
      });
    };

    return {
      remove: modalRemove
    }
  });
