angular
  .module('spgTpl1')
  .controller('LoginCtrl', function($scope, AuthService, $state, $rootScope){
    var vm = this;

    vm.submitForm = function(){
      if(vm.credentials && (vm.credentials.username !== undefined && vm.credentials.password !== undefined) && (vm.credentials.username !== '' && vm.credentials.password !=='')) {
        AuthService.login(vm.credentials).then(function (user) {
          if (user.id) {
            $state.go('home');
            $rootScope.authenticated = true;
          } else {
            vm.loginMessage = (user.data && user.data.message !== null) ? user.data.message : 'O login não pôde ser efetuado.';
          }
        }, function () {
          vm.loginMessage = 'O login não pôde ser efetuado.';
        });
      } else {
        vm.loginMessage = 'Informe o login e a senha para prosseguir.';
      }
    };
  });
