(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .directive('fieldCompare', fieldCompare);

  /** @ngInject */
  function fieldCompare() {
    return {
      require: "ngModel",
      scope: {
        otherModelValue: "=fieldCompare"
      },
      link: function(scope, element, attributes, ngModel) {

        ngModel.$validators.fieldCompare = function(modelValue) {
          return modelValue === scope.otherModelValue;
        };

        scope.$watch("otherModelValue", function() {
          ngModel.$validate();
        });
      }
    };
  };

})();
