(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .directive('menuAcessoRapido', menuAcessoRapido)
    .directive('menuAcessoRapidoDropdown', menuAcessoRapidoDropdown)
    .directive('menuAcessoRapidoDropdownChilds', menuAcessoRapidoDropdownChilds);

  /** @ngInject */
  function menuAcessoRapido() {
    return {
      restrict: 'E',
      scope: {
        list: '=',
      },
      controller: function($scope){
        var vm = this;
        var _watcher = $scope.$watch(angular.bind($scope.list, function () {
          if($scope.list && $scope.list.length > 0) {
            vm.list = $scope.list;
            _watcher();
          }
        }));
      },
      controllerAs: 'ctrl',
      templateUrl: 'app/system/components/menu-acesso-rapido/menu-acesso-rapido.html'
    };
  }

  function menuAcessoRapidoDropdown() {
    return {
      restrict: 'E',
      scope: {
        list: '=',
      },
      replace: true,
      controller: function($scope){
        var vm = this;
        vm.list = $scope.list;
      },
      controllerAs: 'ctrl',
      templateUrl: 'app/system/components/menu-acesso-rapido/menu-acesso-rapido-dropdown.html'
    };
  }

  function menuAcessoRapidoDropdownChilds() {
    return {
      restrict: 'E',
      scope: {
        list: '=',
      },
      replace: true,
      controller: function($scope){
        var vm = this;
        vm.list = $scope.list;
      },
      controllerAs: 'ctrl',
      templateUrl: 'app/system/components/menu-acesso-rapido/menu-acesso-rapido-dropdown-childs.html'
    };
  }

})();
