(function() {
  'use strict';

  angular
    .module('spgTpl1')
    .directive('tableList', tableList);

  /** @ngInject */
  function tableList($location, $state) {
    return {
      restrict: 'E',
      scope: {
        headers: '=',
        data: '=',
        redirect: '@',
        objtarget: '='
      },
      controller: function ($scope){
        var self = this;

        self.redirect = function (){
          var _url = '';
          var item = (arguments[0]) ? arguments[0] : '';
          if(item.redirect) {
            _url = item.redirect.replace(/\#/, "");
          } else {
            _url = $scope.redirect.replace(":id", item.id);
          }

          $location.url(_url);

        };
      },
      controllerAs: 'ctrl',
      templateUrl: 'app/system/components/table-list/table-list.html'

    };
  }

})();
